from netgen.csg import unit_cube

mesh = Mesh(unit_cube.GenerateMesh(maxh=1))
Draw(mesh)

fes = HCurl(mesh, order=1, type1=True)
print("nodf (lowest order) =", fes.ndof)

fes.SetOrder(TRIG,2)
fes.Update()
print("nodf (lo + face) =", fes.ndof)

fes.SetOrder(TET,3)
fes.Update()
print("nodf (lo + face + inner) =", fes.ndof)

fes.SetOrder(TRIG,0)
fes.Update()
print("nodf (lo + inner) =", fes.ndof)
